#ifndef __DEBUG_H
#define __DEBUG_H

#include <stdlib.h>
#include <stdio.h>
#include "ansi.h"

#define debug(...) do { \
	ansi.Attr(CAnsi::NORMAL); \
	ansi.Print("%s:%d: ", __FILE__, __LINE__); \
	ansi.Print(__VA_ARGS__); \
	ansi.Print("\n"); \
} while (0)

#define die(...) do { \
	debug(__VA_ARGS__); \
	exit(EXIT_FAILURE); \
} while (0)

#endif
