#ifndef __WIFI_H
#define __WIFI_H

#include <string>
#include <vector>
#include <time.h>

class CWifi {
private:
	int Open(void);
	void Close(int fd);

	std::string m_Name;
	int m_Flags;

	int GetFlags(void);
	void SetFlags(int flags);
	void SetVal(struct wi_req *wrq);

public:
	CWifi(): m_Name(""), m_Flags(-1) {}
	~CWifi() { Cleanup(); }

	struct ap_t {
		std::string ssid;
		char bssid[13];
		int ess;
		int wep;
		int chan;
		int rate;
		int signal, noise;
	};

	typedef std::vector <struct ap_t> scan_t;

	void Init(std::string dev);
	void Cleanup(void);
	void Scan(scan_t &info);
};

#endif
